apiVersion: apps/v1 
kind: DaemonSet
metadata:
  name: example-daemonset
  labels:
    app: example-daemonset
spec:
  selector:
    matchLabels:
      app: test
  template:
    metadata:
      labels:
        name: example-daemonset
    spec:
      containers:
      - name: example-daemonset
        image: example-daemonset:latest
        volumeMounts:
        - mountPath: /host/var/run/docker.sock
          name: docker-sock
          readOnly: false
      volumes:
      - name: docker-sock
        hostPath:
         path: /var/run/docker.sock
